/*
 * This file is part of simple-fmtx-widget
 *
 * Copyright (C) 2009 Pekka Rönkkö. All rights reserved.
 *
 * This code is licensed under a MIT-style license,
 * that can be found in the file called "COPYING" in the root
 * directory.
 *
 */
#ifndef SIMPLE_FMTX_WIDGET_H
#define SIMPLE_FMTX_WIDGET_H

#include <glib-object.h>

#include <libhildondesktop/libhildondesktop.h>

G_BEGIN_DECLS

typedef struct _SimpleFmtxWidget SimpleFmtxWidget;
typedef struct _SimpleFmtxWidgetClass SimpleFmtxWidgetClass;

#define SIMPLE_TYPE_FMTX_WIDGET (simple_fmtx_widget_plugin_get_type ())

#define SIMPLE_FMTX_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
						SIMPLE_TYPE_FMTX_WIDGET, SimpleFmtxWidgetHomePlugin))

#define SIMPLE_FMTX_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), \
						SIMPLE_TYPE_FMTX_WIDGET, SimpleFmtxWidgetHomePluginClass))

#define SIMPLE_FMTX_WIDGET_IS_HOME_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
						SIMPLE_TYPE_FMTX_WIDGET))

#define SIMPLE_FMTX_WIDGET_IS_HOME_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), \
						SIMPLE_TYPE_FMTX_WIDGET))

#define SIMPLE_FMTX_WIDGET_HOME_PLUGIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), \
						SIMPLE_TYPE_FMTX_WIDGET, SimpleFmtxWidgetHomePluginClass))

struct _SimpleFmtxWidget
{
    HDHomePluginItem hitem;
};

struct _SimpleFmtxWidgetClass
{
    HDHomePluginItemClass parent_class;
};

GType simple_fmtx_widget_home_plugin_get_type(void);

G_END_DECLS

#endif
